signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | List of all members
SignonDaemonNS::SignonAuthSessionAdaptor Class Reference

`#include <signonauthsessionadaptor.h>`

Inheritance diagram for SignonDaemonNS::SignonAuthSessionAdaptor:
[legend]
Collaboration diagram for SignonDaemonNS::SignonAuthSessionAdaptor:
[legend]

## Public Slots
QStringList | queryAvailableMechanisms (const QStringList &wantedMechanisms)
QVariantMap | process (const QVariantMap &sessionDataVa, const QString &mechanism)
Q_NOREPLY void | cancel ()
Q_NOREPLY void | setId (quint32 id)
Q_NOREPLY void | objectUnref ()

## Signals
void | stateChanged (int state, const QString &message)
void | unregistered ()

## Detailed Description

Definition at line 34 of file signonauthsessionadaptor.h.

## Member Function Documentation

void SignonDaemonNS::SignonAuthSessionAdaptor::cancel | ( |  | ) |
| slot

Definition at line 122 of file signonauthsessionadaptor.cpp.

References SignonDaemonNS::SignonAuthSession::cancel(), SignonDaemonNS::SignonAuthSession::ownerPid(), SignonDaemonNS::AccessControlManagerHelper::pidOfPeer(), and TRACE.

void SignonDaemonNS::SignonAuthSessionAdaptor::objectUnref | ( |  | ) |
| slot

Definition at line 159 of file signonauthsessionadaptor.cpp.

References SignonDaemonNS::SignonAuthSession::objectUnref(), SignonDaemonNS::SignonAuthSession::ownerPid(), SignonDaemonNS::AccessControlManagerHelper::pidOfPeer(), and TRACE.

QVariantMap SignonDaemonNS::SignonAuthSessionAdaptor::process | ( | const QVariantMap & | sessionDataVa,
|  | const QString & | mechanism
| ) |  |
| slot

Definition at line 73 of file signonauthsessionadaptor.cpp.

References BLAME, SignonDaemonNS::SignonIdentityInfo::checkMethodAndMechanism(), SignonDaemonNS::CredentialsDB::credentials(), SignonDaemonNS::CredentialsAccessManager::credentialsDB(), SignonDaemonNS::CredentialsAccessManager::instance(), SignonDaemonNS::SignonAuthSession::method(), SignonDaemonNS::SignonAuthSession::ownerPid(), SignonDaemonNS::AccessControlManagerHelper::pidOfPeer(), SignonDaemonNS::SignonAuthSession::process(), and TRACE.

QStringList SignonDaemonNS::SignonAuthSessionAdaptor::queryAvailableMechanisms | ( | const QStringList & | wantedMechanisms | ) |
| slot

Definition at line 52 of file signonauthsessionadaptor.cpp.

References SignonDaemonNS::SignonAuthSession::ownerPid(), SignonDaemonNS::AccessControlManagerHelper::pidOfPeer(), SignonDaemonNS::SignonAuthSession::queryAvailableMechanisms(), and TRACE.

void SignonDaemonNS::SignonAuthSessionAdaptor::setId | ( | quint32 | id | ) |
| slot

Definition at line 136 of file signonauthsessionadaptor.cpp.

References SignonDaemonNS::AccessControlManagerHelper::instance(), SignonDaemonNS::SignonAuthSession::ownerPid(), SignonDaemonNS::AccessControlManagerHelper::pidOfPeer(), SignonDaemonNS::SignonAuthSession::setId(), and TRACE.

void SignonDaemonNS::SignonAuthSessionAdaptor::stateChanged | ( | int | state,
|  | const QString & | message
| ) |  |
| signal

void SignonDaemonNS::SignonAuthSessionAdaptor::unregistered | ( |  | ) |
| signal

The documentation for this class was generated from the following files:

- src/signond/signonauthsessionadaptor.h
- src/signond/signonauthsessionadaptor.cpp